summaryrefslogtreecommitdiffstats
path: root/abs/core/zoneminder/zoneminder
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-11-01 20:57:51 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-11-01 20:57:51 (GMT)
commite851f51157ac00aa3de03f4bb9743c6a7d91bea8 (patch)
tree9e8b5cc91129ce33d469c7be61c091b135b6aa93 /abs/core/zoneminder/zoneminder
parent8fefa501175bdcc7d250b27bf8475b55f79e03cd (diff)
downloadlinhes_pkgbuild-e851f51157ac00aa3de03f4bb9743c6a7d91bea8.zip
linhes_pkgbuild-e851f51157ac00aa3de03f4bb9743c6a7d91bea8.tar.gz
linhes_pkgbuild-e851f51157ac00aa3de03f4bb9743c6a7d91bea8.tar.bz2
zoneminder 1.25: made it easier for end users to get this product up and running.
It will not integrate itself with lighttpd and install the database. runit-scripts holds the run file. All that should be needed for this package to work is add_service zoneminder Then access the console at http://localhost/zm Unfortunatly only mythzoneminder on the backend will be able to use zoneminder. This is a shortcoming of the integration with myth and zoneminder.
Diffstat (limited to 'abs/core/zoneminder/zoneminder')
-rw-r--r--abs/core/zoneminder/zoneminder63
1 files changed, 63 insertions, 0 deletions
diff --git a/abs/core/zoneminder/zoneminder b/abs/core/zoneminder/zoneminder
new file mode 100644
index 0000000..c4cbf4d
--- /dev/null
+++ b/abs/core/zoneminder/zoneminder
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+daemon_name=zm
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting Zoneminder"
+ /usr/bin/zmfix -a
+ if /usr/bin/zmpkg.pl start >/dev/null ; then
+ add_daemon $daemon_name
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping Zoneminder"
+ if /usr/bin/zmpkg.pl stop >/dev/null ; then
+ rm_daemon $daemon_name
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ reload)
+ stat_busy "Reloading Zoneminder"
+ if /usr/bin/zmpkg.pl graceful >/dev/null ; then
+ add_daemon $daemon_name
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ restart)
+ stat_busy "Restarting Zoneminder"
+ if /usr/bin/zmpkg.pl restart >/dev/null ; then
+ add_daemon $daemon_name
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ status)
+ stat_busy "Checking Zoneminder status";
+ ck_status $daemon_name
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|reload|restart|status}"
+esac
+
+exit 0